﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TypeConvertorControl
{
    public class FullNameLabel : WebControl
    {
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public FullName Name
        {
            get
            {
                return ViewState["_fullname"] as FullName;
            }
            set
            {
                ViewState["_fullname"] = value;
            }
        }

        protected override void Render(HtmlTextWriter writer)
        {
            if (Name != null)
            {
                writer.WriteFullBeginTag("span");
                writer.Write(Name.FirstName);
                writer.Write("&nbsp;");
                writer.Write(Name.LastName);
                writer.WriteEndTag("span");
            }
        }

    }
}
